MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Attributes
StringPointer< T > Class Template Reference

Simple OO wrapper for a const string pointer. More...

`#include <StringPointer.hxx>`

Inheritance diagram for StringPointer< T >:
[legend]

## Public Types
typedef T | value_type
typedef T & | reference_type
typedef const T & | const_reference_type
typedef T * | pointer_type
typedef const T * | const_pointer_type

## Public Member Functions
| StringPointer ()=default
constexpr | StringPointer (const_pointer_type _value)
constexpr bool | IsNull () const
| Check if this is a "nulled" instance. More...
constexpr const_pointer_type | c_str () const
bool | empty () const

## Static Public Attributes
static constexpr value_type | SENTINEL = '\0'

## Detailed Description

### template<typename T = char>
class StringPointer< T >

Simple OO wrapper for a const string pointer.

Definition at line 37 of file StringPointer.hxx.

## Member Typedef Documentation

template<typename T = char>

typedef const T* StringPointer< T >::const_pointer_type

Definition at line 43 of file StringPointer.hxx.

template<typename T = char>

typedef const T& StringPointer< T >::const_reference_type

Definition at line 41 of file StringPointer.hxx.

template<typename T = char>

typedef T* StringPointer< T >::pointer_type

Definition at line 42 of file StringPointer.hxx.

template<typename T = char>

typedef T& StringPointer< T >::reference_type

Definition at line 40 of file StringPointer.hxx.

template<typename T = char>

typedef T StringPointer< T >::value_type

Definition at line 39 of file StringPointer.hxx.

## Constructor & Destructor Documentation

template<typename T = char>

StringPointer< T >::StringPointer | ( |  | ) |
| default

template<typename T = char>

constexpr StringPointer< T >::StringPointer | ( | const_pointer_type | _value | ) |
| inline

Definition at line 52 of file StringPointer.hxx.

## Member Function Documentation

template<typename T = char>

constexpr const_pointer_type StringPointer< T >::c_str | ( |  | ) | const
| inline

Definition at line 63 of file StringPointer.hxx.

template<typename T = char>

bool StringPointer< T >::empty | ( |  | ) | const
| inline

Definition at line 67 of file StringPointer.hxx.

template<typename T = char>

constexpr bool StringPointer< T >::IsNull | ( |  | ) | const
| inline

Check if this is a "nulled" instance.

A "nulled" instance must not be used.

Definition at line 59 of file StringPointer.hxx.

## Field Documentation

template<typename T = char>

constexpr value_type StringPointer< T >::SENTINEL = '\0'
| static

Definition at line 45 of file StringPointer.hxx.

The documentation for this class was generated from the following file:

- util/StringPointer.hxx